Entur Developer
Offers V3 beta

Search offers

Server

Endpoints that are available for generating offers by various means.


Search for Offers using a specific trip pattern.

POST
https://api.entur.io
/offers/v3/search/trip-pattern

Request offers for a specific departure between two stop places. At least one Traveller, and a TripPatternRequest is required.

Search for Offers using a specific trip pattern. › Headers

Entur-Distribution-Channel
​string · pattern: ^[A-Z]{3}:Distributi… · required · style: simple

Id of distribution channel requesting offers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · minLength: 2 · maxLength: 2 · style: simple

The language code from IETF BCP 47

Default: nb
Entur-POS
​string · style: simple

Point-of-sale identifier

Search for Offers using a specific trip pattern. › Request Body

A request used to search for fare products for a specified trip.
​Traveller[] · minItems: 1 · required

The travellers.

​TripPatternRequest · required

List of legs constituting a suggested sequence of rides and links for a specific trip.

​RecommendationConfig

Specify what types of recommendations are returned in the response. For a more in depth explanation of recommendations, see the guide for recommendations at TODO [INSERT NEW LINK].

​GroupConfig

A configuration of how to group travellers in offers.

includeMultiTripOffers
​boolean

Indicates whether multi-trip offers should be included in the response, such as monthly passes, day passes, and similar options.

Default: false

Search for Offers using a specific trip pattern. › Responses

A selection of Offers valid on parts or the whole of the given trip pattern.

​OfferSummary[] · required
​RecommendationResult · required

A set of recommendations matching the provided recommendation configuration.

tripPatternId
​string
​OptionalProduct[]
​UnavailableProduct[]
notices
​string[]

Additional information about potentially missing information or functionality due to transient errors.


Search for offers by geographical-locations.

POST
https://api.entur.io
/offers/v3/search/geographical-locations

Request offers that are not associated with any specific departure. The offers returned are period tickets or single tickets that are valid between stop places or zones for a given duration.

Search for offers by geographical-locations. › Headers

Entur-Distribution-Channel
​string · pattern: ^[A-Z]{3}:Distributi… · required · style: simple

Id of distribution channel requesting offers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · minLength: 2 · maxLength: 2 · style: simple

The language code from IETF BCP 47

Default: nb
Entur-POS
​string · style: simple

Point-of-sale identifier

Search for offers by geographical-locations. › Request Body

A request used to search for fare products between stop places or zones. If two stopPlaces are provided, Offers are calculated for each set of FareZones sharing the same codespace. For any other combination, the common codespace is selected. In either case, transport mode and authority can be used to further refine which Offers are returned. Some combinations of stop places may result in offers that cover parts of the distance. As an example, let's say the "from" stop place is A, and the "to" stop place is C. There may not be a ticket that is valid from A to C, but tickets that are valid from A to B, and B to C. In that case you will receive offers that are valid for A to B and B to C. If you only want offers that cover the whole distance, set "offersForWholeTripOnly" to true.
travelDate
​string · date-time · required

The specific time for when the ticket should be activated. For most purposes it is recommended to use the current time as travel date. That is because most period tickets are activated immediately on purchase. If you want to get a period ticket that should be activated some time in the future, specify the future date.

from
​string · pattern: ^[A-Z]{3}:FareZone:.… · required

The id of the origin stop place or zone.

to
​string · pattern: ^[A-Z]{3}:FareZone:.… · required

The id of the destination stop place or zone.

​Traveller[] · minItems: 1 · required

The travellers the offer should be valid for.

via
​string[] · minItems: 1 · pattern: ^[A-Z]{3}:FareZone:.…

Optional sequence of via locations. Mostly useful for zone based searches.

​RecommendationConfig

Specify what types of recommendations are returned in the response. For a more in depth explanation of recommendations, see the guide for recommendations at TODO [INSERT NEW LINK].

offersForWholeTripOnly
​boolean

Set this flag to true if you only want tickets that are valid all the way between the stop-places specified in the "from" and "to" field. When set to false, you will receive additional offers that are valid for parts of the trip with one of the stop places covered.

Default: false
authority
​string · pattern: ^[A-Z]{3}:Authority:…

Optional authority ID, to further refine search. The returned Offers will only contain products allowing or requiring the provided Authority. In the case of two rail stopPlaces, Authority is set from pre-defined rules and this parameter will be ignored.

transportMode
​string

Optional transport mode, to further refine search. Most useful when there is a specific use case where there may be overlapping Offers, for instance high speed ferry or rail.

Search for offers by geographical-locations. › Responses

A selection of offers valid between the two geographical locations.

​OfferSummary[] · required
​RecommendationResult · required

A set of recommendations matching the provided recommendation configuration.

tripPatternId
​string
​OptionalProduct[]
​UnavailableProduct[]
notices
​string[]

Additional information about potentially missing information or functionality due to transient errors.


Search for offers by authority id.

POST
https://api.entur.io
/offers/v3/search/authority

Search for offers by authority id, this will only find offers with a flat tariff basis. Only PurchaseWindow, Authority, DistributionChannel and UserProfile constraints are considered.

Search for offers by authority id. › Headers

Entur-Distribution-Channel
​string · pattern: ^[A-Z]{3}:Distributi… · required · style: simple

Id of distribution channel requesting offers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · minLength: 2 · maxLength: 2 · style: simple

The language code from IETF BCP 47

Default: nb
Entur-POS
​string · style: simple

Point-of-sale identifier

Search for offers by authority id. › Request Body

A request used to search for fare products without inputting geographic data, but instead use Authority.
travelDate
​string · date-time · required

The specific time for when the ticket should be activated. For most purposes it is recommended to use the current time as travel date. That is because most period tickets are activated immediately on purchase. If you want to get a period ticket that should be activated some time in the future, specify the future date.

​Traveller[] · minItems: 1 · required

The travellers the offer should be valid for.

authorityId
​string · pattern: ^[A-Z]{3}:Authority:… · required

NeTEx-id of Authority. Only offers valid for this Authority will be considered.

Search for offers by authority id. › Responses

A selection of offers valid for the given authority.

​OfferSummary[] · required
​RecommendationResult · required

A set of recommendations matching the provided recommendation configuration.

tripPatternId
​string
​OptionalProduct[]
​UnavailableProduct[]
notices
​string[]

Additional information about potentially missing information or functionality due to transient errors.


Did you find what you were looking for?